madlib-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ivan Novick <inov...@pivotal.io>
Subject Re: ubuntu support
Date Thu, 19 Jul 2018 01:30:58 GMT
Since you asked Aaron, Greenplum runs on Ubuntu:
https://greenplum.org/install-greenplum-oss-on-ubuntu/

And so does PostgreSQL
https://www.digitalocean.com/community/tutorials/how-to-install-and-use-postgresql-on-ubuntu-18-04

Cheers!

On Wed, Jul 18, 2018 at 5:58 PM, FENG, Xixuan (Aaron) <xixuan.feng@gmail.com
> wrote:

> Good idea!
>
> Is this just for Postgres?
> Or Greenplum runs on Ubuntu also now?
>
> On Thu, Jul 19, 2018 at 9:48 AM, Jingyi Mei <jmei@pivotal.io> wrote:
>
>> Might be too late. But definitely +1 here.
>>
>> On Wed, Jul 18, 2018 at 2:36 PM, Frank McQuillan <fmcquillan@pivotal.io>
>> wrote:
>>
>>> Thanks for the comments and up votes.
>>>
>>> I created a 1.15.1 release and a JIRA for this work
>>> https://issues.apache.org/jira/browse/MADLIB-1256
>>> and moved some other Ubuntu-related stories/bugs in as well
>>>
>>> Frank
>>>
>>> On Wed, Jul 18, 2018 at 2:24 PM, Nandish Jayaram <njayaram@pivotal.io>
>>> wrote:
>>>
>>>> +1 for ubuntu support!
>>>>
>>>> NJ
>>>>
>>>> On Wed, Jul 18, 2018 at 2:22 PM Orhan Kislal <okislal@pivotal.io>
>>>> wrote:
>>>>
>>>>> +1 Fully support the idea.
>>>>>
>>>>> On Wed, Jul 18, 2018 at 2:20 PM Nikhil Kak <nkak@pivotal.io> wrote:
>>>>>
>>>>>> +1 from me as well
>>>>>>
>>>>>> On Wed, Jul 18, 2018 at 2:14 PM Marshall Presser <mpresser@pivotal.io
>>>>>> >
>>>>>> wrote:
>>>>>>
>>>>>> > +1 for this idea.  Ubuntu is an important part of the ecosystem
and
>>>>>> needs
>>>>>> > to be supported.
>>>>>> > MEP
>>>>>> >
>>>>>> > On Wed, Jul 18, 2018 at 2:54 PM, Frank McQuillan <
>>>>>> fmcquillan@pivotal.io>
>>>>>> > wrote:
>>>>>> >
>>>>>> >> Hi MADlib community,
>>>>>> >>
>>>>>> >> Ubuntu is the most popular Linux distro and Apache MADlib
does not
>>>>>> >> currently officially support it.  Below are some JIRAs from
the
>>>>>> >> community on this issue:
>>>>>> >>
>>>>>> >> Ubuntu 16.04 - Using GCC 5 (default gcc) causes Postgres
9.6 crash
>>>>>> >> https://issues.apache.org/jira/browse/MADLIB-1145
>>>>>> >>
>>>>>> >> Madlib Installation fails on Ubuntu 16.04
>>>>>> >> https://issues.apache.org/jira/browse/MADLIB-1055
>>>>>> >>
>>>>>> >> https://issues.apache.org/jira/browse/MADLIB-877
>>>>>> >> unable to properly compile c module
>>>>>> >>
>>>>>> >> As 1.15 is nearing release, I would suggest that we do a
>>>>>> relatively fast
>>>>>> >> 1.15.1 release that focuses mainly on Ubuntu support.  We
can of
>>>>>> course
>>>>>> >> add bug fixes and minor stuff into 1.15.1 depending on community
>>>>>> >> wishes too, but it would be mostly about Ubuntu.
>>>>>> >>
>>>>>> >> If this seems like a good idea, pls comment & I will
create a new
>>>>>> release
>>>>>> >> and add the appropriate JIRAs.
>>>>>> >>
>>>>>> >> Thanks,
>>>>>> >> Frank
>>>>>> >>
>>>>>> >>
>>>>>> >
>>>>>> >
>>>>>> > --
>>>>>> >
>>>>>> > Marshall Presser
>>>>>> > Pivotal Data Engineering
>>>>>> > mpresser@pivotal.io
>>>>>> > 240.401.1750 <(240)%20401-1750>
>>>>>> >
>>>>>>
>>>>>
>>>
>>
>


-- 
Ivan Novick, Product Manager Pivotal Greenplum
inovick@pivotal.io --  (Mobile) 408-230-6491
https://www.youtube.com/GreenplumDatabase

Mime
View raw message